#!/bin/bash

WHOAMI=`whoami`

test -f /usr/bin/dosemu.bin && sudo mv /usr/bin/dosemu.bin /usr/bin/dosemu.bin.old
test -f /etc/sysctl.d/10-zeropage.conf && sudo mv /etc/sysctl.d/10-zeropage.conf /etc/sysctl.d/10-zeropage.conf.old

echo "Installing dosemu.bin under /usr/bin....."
sudo install -m 755 -o root ./dosemu.bin /usr/bin/
echo "Installing 10-zeropage.conf under /etc/sysctl.d/"
sudo install -m 644 -o root ./10-zeropage.conf /etc/sysctl.d/
echo "Copying dosemu to /usr/lib....."
sudo sysctl -w vm.mmap_min_addr=0
test -d /usr/lib/dosemu || sudo mkdir -p /usr/lib/dosemu
sudo install -o root  -m 644 ./dosemu/* /usr/lib/dosemu
test -d ~/Programme && mv ~/Programme ~/Programme.old
echo "Copying folder Programme to ${WHOAMI}'s home directory....."
find Programme | cpio -pumd ~/

echo -e "Editing the user paths in dosemu.conf"

cat ~/Programme/pcgeos/dosemu.conf | sed -e "s/benutzer/${WHOAMI}/g" > ~/Programme/pcgeos/dosemu.conf.sic
mv ~/Programme/pcgeos/dosemu.conf.sic ~/Programme/pcgeos/dosemu.conf
